// CHECKSTYLE:OFF

package com.arkea.jenkins.openstack.heat.i18n;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code status.error}: {@code Error status {0} on OpenStack during
     * processing Stack {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error status {0} on OpenStack during processing Stack {1}}
     */
    public static String status_error(Object arg0, Object arg1) {
        return holder.format("status.error", arg0, arg1);
    }

    /**
     * Key {@code status.error}: {@code Error status {0} on OpenStack during
     * processing Stack {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error status {0} on OpenStack during processing Stack {1}}
     */
    public static Localizable _status_error(Object arg0, Object arg1) {
        return new Localizable(holder, "status.error", arg0, arg1);
    }

    /**
     * Key {@code stack.parameters}: {@code Parameters used in the stack : }.
     * 
     * @return
     *     {@code Parameters used in the stack : }
     */
    public static String stack_parameters() {
        return holder.format("stack.parameters");
    }

    /**
     * Key {@code stack.parameters}: {@code Parameters used in the stack : }.
     * 
     * @return
     *     {@code Parameters used in the stack : }
     */
    public static Localizable _stack_parameters() {
        return new Localizable(holder, "stack.parameters");
    }

    /**
     * Key {@code bundle.constraintsException}: {@code Error while reading
     * the constraint''s configuration from the yaml !}.
     * 
     * @return
     *     {@code Error while reading the constraint''s configuration from the
     *     yaml !}
     */
    public static String bundle_constraintsException() {
        return holder.format("bundle.constraintsException");
    }

    /**
     * Key {@code bundle.constraintsException}: {@code Error while reading
     * the constraint''s configuration from the yaml !}.
     * 
     * @return
     *     {@code Error while reading the constraint''s configuration from the
     *     yaml !}
     */
    public static Localizable _bundle_constraintsException() {
        return new Localizable(holder, "bundle.constraintsException");
    }

    /**
     * Key {@code stack.outputs}: {@code Outputs from the stack : }.
     * 
     * @return
     *     {@code Outputs from the stack : }
     */
    public static String stack_outputs() {
        return holder.format("stack.outputs");
    }

    /**
     * Key {@code stack.outputs}: {@code Outputs from the stack : }.
     * 
     * @return
     *     {@code Outputs from the stack : }
     */
    public static Localizable _stack_outputs() {
        return new Localizable(holder, "stack.outputs");
    }

    /**
     * Key {@code stacksToDelete.empty}: {@code The stacks list to delete is
     * empty !}.
     * 
     * @return
     *     {@code The stacks list to delete is empty !}
     */
    public static String stacksToDelete_empty() {
        return holder.format("stacksToDelete.empty");
    }

    /**
     * Key {@code stacksToDelete.empty}: {@code The stacks list to delete is
     * empty !}.
     * 
     * @return
     *     {@code The stacks list to delete is empty !}
     */
    public static Localizable _stacksToDelete_empty() {
        return new Localizable(holder, "stacksToDelete.empty");
    }

    /**
     * Key {@code log.map}: {@code {0} : {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} : {1}}
     */
    public static String log_map(Object arg0, Object arg1) {
        return holder.format("log.map", arg0, arg1);
    }

    /**
     * Key {@code log.map}: {@code {0} : {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} : {1}}
     */
    public static Localizable _log_map(Object arg0, Object arg1) {
        return new Localizable(holder, "log.map", arg0, arg1);
    }

    /**
     * Key {@code log.warn}: {@code WARN : }.
     * 
     * @return
     *     {@code WARN : }
     */
    public static String log_warn() {
        return holder.format("log.warn");
    }

    /**
     * Key {@code log.warn}: {@code WARN : }.
     * 
     * @return
     *     {@code WARN : }
     */
    public static Localizable _log_warn() {
        return new Localizable(holder, "log.warn");
    }

    /**
     * Key {@code extHot.label}: {@code Extension for the Heat Template
     * File}.
     * 
     * @return
     *     {@code Extension for the Heat Template File}
     */
    public static String extHot_label() {
        return holder.format("extHot.label");
    }

    /**
     * Key {@code extHot.label}: {@code Extension for the Heat Template
     * File}.
     * 
     * @return
     *     {@code Extension for the Heat Template File}
     */
    public static Localizable _extHot_label() {
        return new Localizable(holder, "extHot.label");
    }

    /**
     * Key {@code formValidation.errorConnect}: {@code Can not connect !
     * Check your parameters.}.
     * 
     * @return
     *     {@code Can not connect ! Check your parameters.}
     */
    public static String formValidation_errorConnect() {
        return holder.format("formValidation.errorConnect");
    }

    /**
     * Key {@code formValidation.errorConnect}: {@code Can not connect !
     * Check your parameters.}.
     * 
     * @return
     *     {@code Can not connect ! Check your parameters.}
     */
    public static Localizable _formValidation_errorConnect() {
        return new Localizable(holder, "formValidation.errorConnect");
    }

    /**
     * Key {@code url.name}: {@code url}.
     * 
     * @return
     *     {@code url}
     */
    public static String url_name() {
        return holder.format("url.name");
    }

    /**
     * Key {@code url.name}: {@code url}.
     * 
     * @return
     *     {@code url}
     */
    public static Localizable _url_name() {
        return new Localizable(holder, "url.name");
    }

    /**
     * Key {@code urlEnv.name}: {@code urlEnv}.
     * 
     * @return
     *     {@code urlEnv}
     */
    public static String urlEnv_name() {
        return holder.format("urlEnv.name");
    }

    /**
     * Key {@code urlEnv.name}: {@code urlEnv}.
     * 
     * @return
     *     {@code urlEnv}
     */
    public static Localizable _urlEnv_name() {
        return new Localizable(holder, "urlEnv.name");
    }

    /**
     * Key {@code urlEnv.label}: {@code Url to access to the Env API Rest}.
     * 
     * @return
     *     {@code Url to access to the Env API Rest}
     */
    public static String urlEnv_label() {
        return holder.format("urlEnv.label");
    }

    /**
     * Key {@code urlEnv.label}: {@code Url to access to the Env API Rest}.
     * 
     * @return
     *     {@code Url to access to the Env API Rest}
     */
    public static Localizable _urlEnv_label() {
        return new Localizable(holder, "urlEnv.label");
    }

    /**
     * Key {@code formValidation.errorUrl}: {@code Error url Hot not
     * disponible ! : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error url Hot not disponible ! : {0}}
     */
    public static String formValidation_errorUrl(Object arg0) {
        return holder.format("formValidation.errorUrl", arg0);
    }

    /**
     * Key {@code formValidation.errorUrl}: {@code Error url Hot not
     * disponible ! : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error url Hot not disponible ! : {0}}
     */
    public static Localizable _formValidation_errorUrl(Object arg0) {
        return new Localizable(holder, "formValidation.errorUrl", arg0);
    }

    /**
     * Key {@code stack.waiting}: {@code , Waiting for stack completion for
     * {0}. Status is : {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code , Waiting for stack completion for {0}. Status is : {1}}
     */
    public static String stack_waiting(Object arg0, Object arg1) {
        return holder.format("stack.waiting", arg0, arg1);
    }

    /**
     * Key {@code stack.waiting}: {@code , Waiting for stack completion for
     * {0}. Status is : {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code , Waiting for stack completion for {0}. Status is : {1}}
     */
    public static Localizable _stack_waiting(Object arg0, Object arg1) {
        return new Localizable(holder, "stack.waiting", arg0, arg1);
    }

    /**
     * Key {@code pathEnv.name}: {@code pathEnv}.
     * 
     * @return
     *     {@code pathEnv}
     */
    public static String pathEnv_name() {
        return holder.format("pathEnv.name");
    }

    /**
     * Key {@code pathEnv.name}: {@code pathEnv}.
     * 
     * @return
     *     {@code pathEnv}
     */
    public static Localizable _pathEnv_name() {
        return new Localizable(holder, "pathEnv.name");
    }

    /**
     * Key {@code url.label}: {@code URL Identity OpenStack}.
     * 
     * @return
     *     {@code URL Identity OpenStack}
     */
    public static String url_label() {
        return holder.format("url.label");
    }

    /**
     * Key {@code url.label}: {@code URL Identity OpenStack}.
     * 
     * @return
     *     {@code URL Identity OpenStack}
     */
    public static Localizable _url_label() {
        return new Localizable(holder, "url.label");
    }

    /**
     * Key {@code operation.timeout}: {@code Timeout during operation on
     * OpenStack {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Timeout during operation on OpenStack {0}}
     */
    public static String operation_timeout(Object arg0) {
        return holder.format("operation.timeout", arg0);
    }

    /**
     * Key {@code operation.timeout}: {@code Timeout during operation on
     * OpenStack {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Timeout during operation on OpenStack {0}}
     */
    public static Localizable _operation_timeout(Object arg0) {
        return new Localizable(holder, "operation.timeout", arg0);
    }

    /**
     * Key {@code delete.progress}: {@code Delete in progress...}.
     * 
     * @return
     *     {@code Delete in progress...}
     */
    public static String delete_progress() {
        return holder.format("delete.progress");
    }

    /**
     * Key {@code delete.progress}: {@code Delete in progress...}.
     * 
     * @return
     *     {@code Delete in progress...}
     */
    public static Localizable _delete_progress() {
        return new Localizable(holder, "delete.progress");
    }

    /**
     * Key {@code input.filled}: {@code The input {0} must be filled ! 
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The input {0} must be filled ! 
     *     }
     */
    public static String input_filled(Object arg0) {
        return holder.format("input.filled", arg0);
    }

    /**
     * Key {@code input.filled}: {@code The input {0} must be filled ! 
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The input {0} must be filled ! 
     *     }
     */
    public static Localizable _input_filled(Object arg0) {
        return new Localizable(holder, "input.filled", arg0);
    }

    /**
     * Key {@code loader.name}: {@code loader}.
     * 
     * @return
     *     {@code loader}
     */
    public static String loader_name() {
        return holder.format("loader.name");
    }

    /**
     * Key {@code loader.name}: {@code loader}.
     * 
     * @return
     *     {@code loader}
     */
    public static Localizable _loader_name() {
        return new Localizable(holder, "loader.name");
    }

    /**
     * Key {@code user.name}: {@code user}.
     * 
     * @return
     *     {@code user}
     */
    public static String user_name() {
        return holder.format("user.name");
    }

    /**
     * Key {@code user.name}: {@code user}.
     * 
     * @return
     *     {@code user}
     */
    public static Localizable _user_name() {
        return new Localizable(holder, "user.name");
    }

    /**
     * Key {@code stack.deleted}: {@code Stack deleted : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Stack deleted : {0}}
     */
    public static String stack_deleted(Object arg0) {
        return holder.format("stack.deleted", arg0);
    }

    /**
     * Key {@code stack.deleted}: {@code Stack deleted : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Stack deleted : {0}}
     */
    public static Localizable _stack_deleted(Object arg0) {
        return new Localizable(holder, "stack.deleted", arg0);
    }

    /**
     * Key {@code environment.variable}: {@code Variable {0} changes from {1}
     * to {2}}.
     * 
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Variable {0} changes from {1} to {2}}
     */
    public static String environment_variable(Object arg0, Object arg1, Object arg2) {
        return holder.format("environment.variable", arg0, arg1, arg2);
    }

    /**
     * Key {@code environment.variable}: {@code Variable {0} changes from {1}
     * to {2}}.
     * 
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Variable {0} changes from {1} to {2}}
     */
    public static Localizable _environment_variable(Object arg0, Object arg1, Object arg2) {
        return new Localizable(holder, "environment.variable", arg0, arg1, arg2);
    }

    /**
     * Key {@code projectConfiguration.name}: {@code Project(Tenant)
     * configurations}.
     * 
     * @return
     *     {@code Project(Tenant) configurations}
     */
    public static String projectConfiguration_name() {
        return holder.format("projectConfiguration.name");
    }

    /**
     * Key {@code projectConfiguration.name}: {@code Project(Tenant)
     * configurations}.
     * 
     * @return
     *     {@code Project(Tenant) configurations}
     */
    public static Localizable _projectConfiguration_name() {
        return new Localizable(holder, "projectConfiguration.name");
    }

    /**
     * Key {@code log.info}: {@code INFO : }.
     * 
     * @return
     *     {@code INFO : }
     */
    public static String log_info() {
        return holder.format("log.info");
    }

    /**
     * Key {@code log.info}: {@code INFO : }.
     * 
     * @return
     *     {@code INFO : }
     */
    public static Localizable _log_info() {
        return new Localizable(holder, "log.info");
    }

    /**
     * Key {@code project.notFound}: {@code Failed to find the project : {0}
     * !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to find the project : {0} !}
     */
    public static String project_notFound(Object arg0) {
        return holder.format("project.notFound", arg0);
    }

    /**
     * Key {@code project.notFound}: {@code Failed to find the project : {0}
     * !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to find the project : {0} !}
     */
    public static Localizable _project_notFound(Object arg0) {
        return new Localizable(holder, "project.notFound", arg0);
    }

    /**
     * Key {@code file.notFound}: {@code {0} not found ! }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} not found ! }
     */
    public static String file_notFound(Object arg0) {
        return holder.format("file.notFound", arg0);
    }

    /**
     * Key {@code file.notFound}: {@code {0} not found ! }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} not found ! }
     */
    public static Localizable _file_notFound(Object arg0) {
        return new Localizable(holder, "file.notFound", arg0);
    }

    /**
     * Key {@code pollingStatus.name}: {@code pollingStatus}.
     * 
     * @return
     *     {@code pollingStatus}
     */
    public static String pollingStatus_name() {
        return holder.format("pollingStatus.name");
    }

    /**
     * Key {@code pollingStatus.name}: {@code pollingStatus}.
     * 
     * @return
     *     {@code pollingStatus}
     */
    public static Localizable _pollingStatus_name() {
        return new Localizable(holder, "pollingStatus.name");
    }

    /**
     * Key {@code pathEnv.label}: {@code Path to the directory Env}.
     * 
     * @return
     *     {@code Path to the directory Env}
     */
    public static String pathEnv_label() {
        return holder.format("pathEnv.label");
    }

    /**
     * Key {@code pathEnv.label}: {@code Path to the directory Env}.
     * 
     * @return
     *     {@code Path to the directory Env}
     */
    public static Localizable _pathEnv_label() {
        return new Localizable(holder, "pathEnv.label");
    }

    /**
     * Key {@code formValidation.errorClient}: {@code Client error : }.
     * 
     * @return
     *     {@code Client error : }
     */
    public static String formValidation_errorClient() {
        return holder.format("formValidation.errorClient");
    }

    /**
     * Key {@code formValidation.errorClient}: {@code Client error : }.
     * 
     * @return
     *     {@code Client error : }
     */
    public static Localizable _formValidation_errorClient() {
        return new Localizable(holder, "formValidation.errorClient");
    }

    /**
     * Key {@code stacksToDelete.failed}: {@code Failed during processing to
     * delete stacks ! }.
     * 
     * @return
     *     {@code Failed during processing to delete stacks ! }
     */
    public static String stacksToDelete_failed() {
        return holder.format("stacksToDelete.failed");
    }

    /**
     * Key {@code stacksToDelete.failed}: {@code Failed during processing to
     * delete stacks ! }.
     * 
     * @return
     *     {@code Failed during processing to delete stacks ! }
     */
    public static Localizable _stacksToDelete_failed() {
        return new Localizable(holder, "stacksToDelete.failed");
    }

    /**
     * Key {@code urlHot.label}: {@code Url to access to the Hot API Rest}.
     * 
     * @return
     *     {@code Url to access to the Hot API Rest}
     */
    public static String urlHot_label() {
        return holder.format("urlHot.label");
    }

    /**
     * Key {@code urlHot.label}: {@code Url to access to the Hot API Rest}.
     * 
     * @return
     *     {@code Url to access to the Hot API Rest}
     */
    public static Localizable _urlHot_label() {
        return new Localizable(holder, "urlHot.label");
    }

    /**
     * Key {@code environment.notFound}: {@code Error get environment !}.
     * 
     * @return
     *     {@code Error get environment !}
     */
    public static String environment_notFound() {
        return holder.format("environment.notFound");
    }

    /**
     * Key {@code environment.notFound}: {@code Error get environment !}.
     * 
     * @return
     *     {@code Error get environment !}
     */
    public static Localizable _environment_notFound() {
        return new Localizable(holder, "environment.notFound");
    }

    /**
     * Key {@code environment.output}: {@code Output {0} have now the value
     * {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Output {0} have now the value {1}}
     */
    public static String environment_output(Object arg0, Object arg1) {
        return holder.format("environment.output", arg0, arg1);
    }

    /**
     * Key {@code environment.output}: {@code Output {0} have now the value
     * {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Output {0} have now the value {1}}
     */
    public static Localizable _environment_output(Object arg0, Object arg1) {
        return new Localizable(holder, "environment.output", arg0, arg1);
    }

    /**
     * Key {@code log.debug}: {@code DEBUG : }.
     * 
     * @return
     *     {@code DEBUG : }
     */
    public static String log_debug() {
        return holder.format("log.debug");
    }

    /**
     * Key {@code log.debug}: {@code DEBUG : }.
     * 
     * @return
     *     {@code DEBUG : }
     */
    public static Localizable _log_debug() {
        return new Localizable(holder, "log.debug");
    }

    /**
     * Key {@code processing.failed}: {@code Failed during processing : {0} !
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed during processing : {0} ! }
     */
    public static String processing_failed(Object arg0) {
        return holder.format("processing.failed", arg0);
    }

    /**
     * Key {@code processing.failed}: {@code Failed during processing : {0} !
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed during processing : {0} ! }
     */
    public static Localizable _processing_failed(Object arg0) {
        return new Localizable(holder, "processing.failed", arg0);
    }

    /**
     * Key {@code operation.finished}: {@code Finished operation at : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Finished operation at : {0}}
     */
    public static String operation_finished(Object arg0) {
        return holder.format("operation.finished", arg0);
    }

    /**
     * Key {@code operation.finished}: {@code Finished operation at : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Finished operation at : {0}}
     */
    public static Localizable _operation_finished(Object arg0) {
        return new Localizable(holder, "operation.finished", arg0);
    }

    /**
     * Key {@code pathHot.label}: {@code Path to the directory Heat
     * Template}.
     * 
     * @return
     *     {@code Path to the directory Heat Template}
     */
    public static String pathHot_label() {
        return holder.format("pathHot.label");
    }

    /**
     * Key {@code pathHot.label}: {@code Path to the directory Heat
     * Template}.
     * 
     * @return
     *     {@code Path to the directory Heat Template}
     */
    public static Localizable _pathHot_label() {
        return new Localizable(holder, "pathHot.label");
    }

    /**
     * Key {@code operation.begin}: {@code Beginning operation at : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Beginning operation at : {0}}
     */
    public static String operation_begin(Object arg0) {
        return holder.format("operation.begin", arg0);
    }

    /**
     * Key {@code operation.begin}: {@code Beginning operation at : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Beginning operation at : {0}}
     */
    public static Localizable _operation_begin(Object arg0) {
        return new Localizable(holder, "operation.begin", arg0);
    }

    /**
     * Key {@code projectConfiguration.label}: {@code Project(Tenant)
     * configurations}.
     * 
     * @return
     *     {@code Project(Tenant) configurations}
     */
    public static String projectConfiguration_label() {
        return holder.format("projectConfiguration.label");
    }

    /**
     * Key {@code projectConfiguration.label}: {@code Project(Tenant)
     * configurations}.
     * 
     * @return
     *     {@code Project(Tenant) configurations}
     */
    public static Localizable _projectConfiguration_label() {
        return new Localizable(holder, "projectConfiguration.label");
    }

    /**
     * Key {@code abstractLoader.errorAccessHot}: {@code Error during access
     * hot script {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during access hot script {0}}
     */
    public static String abstractLoader_errorAccessHot(Object arg0) {
        return holder.format("abstractLoader.errorAccessHot", arg0);
    }

    /**
     * Key {@code abstractLoader.errorAccessHot}: {@code Error during access
     * hot script {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during access hot script {0}}
     */
    public static Localizable _abstractLoader_errorAccessHot(Object arg0) {
        return new Localizable(holder, "abstractLoader.errorAccessHot", arg0);
    }

    /**
     * Key {@code password.name}: {@code password}.
     * 
     * @return
     *     {@code password}
     */
    public static String password_name() {
        return holder.format("password.name");
    }

    /**
     * Key {@code password.name}: {@code password}.
     * 
     * @return
     *     {@code password}
     */
    public static Localizable _password_name() {
        return new Localizable(holder, "password.name");
    }

    /**
     * Key {@code event.detail}: {@code Resource : {0}, Status : {1}, Reason
     * : {2}}.
     * 
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Resource : {0}, Status : {1}, Reason : {2}}
     */
    public static String event_detail(Object arg0, Object arg1, Object arg2) {
        return holder.format("event.detail", arg0, arg1, arg2);
    }

    /**
     * Key {@code event.detail}: {@code Resource : {0}, Status : {1}, Reason
     * : {2}}.
     * 
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Resource : {0}, Status : {1}, Reason : {2}}
     */
    public static Localizable _event_detail(Object arg0, Object arg1, Object arg2) {
        return new Localizable(holder, "event.detail", arg0, arg1, arg2);
    }

    /**
     * Key {@code formValidation.success}: {@code Success}.
     * 
     * @return
     *     {@code Success}
     */
    public static String formValidation_success() {
        return holder.format("formValidation.success");
    }

    /**
     * Key {@code formValidation.success}: {@code Success}.
     * 
     * @return
     *     {@code Success}
     */
    public static Localizable _formValidation_success() {
        return new Localizable(holder, "formValidation.success");
    }

    /**
     * Key {@code extHot.name}: {@code extHot}.
     * 
     * @return
     *     {@code extHot}
     */
    public static String extHot_name() {
        return holder.format("extHot.name");
    }

    /**
     * Key {@code extHot.name}: {@code extHot}.
     * 
     * @return
     *     {@code extHot}
     */
    public static Localizable _extHot_name() {
        return new Localizable(holder, "extHot.name");
    }

    /**
     * Key {@code domain.label}: {@code Domain}.
     * 
     * @return
     *     {@code Domain}
     */
    public static String domain_label() {
        return holder.format("domain.label");
    }

    /**
     * Key {@code domain.label}: {@code Domain}.
     * 
     * @return
     *     {@code Domain}
     */
    public static Localizable _domain_label() {
        return new Localizable(holder, "domain.label");
    }

    /**
     * Key {@code pollingStatus.label}: {@code Polling Status OpenStack (s)}.
     * 
     * @return
     *     {@code Polling Status OpenStack (s)}
     */
    public static String pollingStatus_label() {
        return holder.format("pollingStatus.label");
    }

    /**
     * Key {@code pollingStatus.label}: {@code Polling Status OpenStack (s)}.
     * 
     * @return
     *     {@code Polling Status OpenStack (s)}
     */
    public static Localizable _pollingStatus_label() {
        return new Localizable(holder, "pollingStatus.label");
    }

    /**
     * Key {@code event.failed}: {@code Error get list Events for the stack :
     * {0} !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error get list Events for the stack : {0} !}
     */
    public static String event_failed(Object arg0) {
        return holder.format("event.failed", arg0);
    }

    /**
     * Key {@code event.failed}: {@code Error get list Events for the stack :
     * {0} !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error get list Events for the stack : {0} !}
     */
    public static Localizable _event_failed(Object arg0) {
        return new Localizable(holder, "event.failed", arg0);
    }

    /**
     * Key {@code extEnv.name}: {@code extEnv}.
     * 
     * @return
     *     {@code extEnv}
     */
    public static String extEnv_name() {
        return holder.format("extEnv.name");
    }

    /**
     * Key {@code extEnv.name}: {@code extEnv}.
     * 
     * @return
     *     {@code extEnv}
     */
    public static Localizable _extEnv_name() {
        return new Localizable(holder, "extEnv.name");
    }

    /**
     * Key {@code project.name}: {@code project}.
     * 
     * @return
     *     {@code project}
     */
    public static String project_name() {
        return holder.format("project.name");
    }

    /**
     * Key {@code project.name}: {@code project}.
     * 
     * @return
     *     {@code project}
     */
    public static Localizable _project_name() {
        return new Localizable(holder, "project.name");
    }

    /**
     * Key {@code project.label}: {@code Project(Tenant) OpenStack}.
     * 
     * @return
     *     {@code Project(Tenant) OpenStack}
     */
    public static String project_label() {
        return holder.format("project.label");
    }

    /**
     * Key {@code project.label}: {@code Project(Tenant) OpenStack}.
     * 
     * @return
     *     {@code Project(Tenant) OpenStack}
     */
    public static Localizable _project_label() {
        return new Localizable(holder, "project.label");
    }

    /**
     * Key {@code formValidation.errorDirectory}: {@code Error directory Hot
     * not found ! : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error directory Hot not found ! : {0}}
     */
    public static String formValidation_errorDirectory(Object arg0) {
        return holder.format("formValidation.errorDirectory", arg0);
    }

    /**
     * Key {@code formValidation.errorDirectory}: {@code Error directory Hot
     * not found ! : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error directory Hot not found ! : {0}}
     */
    public static Localizable _formValidation_errorDirectory(Object arg0) {
        return new Localizable(holder, "formValidation.errorDirectory", arg0);
    }

    /**
     * Key {@code stack.start}: {@code Start create stack {0} on {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Start create stack {0} on {1}}
     */
    public static String stack_start(Object arg0, Object arg1) {
        return holder.format("stack.start", arg0, arg1);
    }

    /**
     * Key {@code stack.start}: {@code Start create stack {0} on {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Start create stack {0} on {1}}
     */
    public static Localizable _stack_start(Object arg0, Object arg1) {
        return new Localizable(holder, "stack.start", arg0, arg1);
    }

    /**
     * Key {@code operation.duration}: {@code Duration operation was : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Duration operation was : {0}}
     */
    public static String operation_duration(Object arg0) {
        return holder.format("operation.duration", arg0);
    }

    /**
     * Key {@code operation.duration}: {@code Duration operation was : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Duration operation was : {0}}
     */
    public static Localizable _operation_duration(Object arg0) {
        return new Localizable(holder, "operation.duration", arg0);
    }

    /**
     * Key {@code formValidation.errorDefaultNotFound}: {@code Error default
     * Env not found ! : {0}/{1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error default Env not found ! : {0}/{1}}
     */
    public static String formValidation_errorDefaultNotFound(Object arg0, Object arg1) {
        return holder.format("formValidation.errorDefaultNotFound", arg0, arg1);
    }

    /**
     * Key {@code formValidation.errorDefaultNotFound}: {@code Error default
     * Env not found ! : {0}/{1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error default Env not found ! : {0}/{1}}
     */
    public static Localizable _formValidation_errorDefaultNotFound(Object arg0, Object arg1) {
        return new Localizable(holder, "formValidation.errorDefaultNotFound", arg0, arg1);
    }

    /**
     * Key {@code stacksToDelete.process}: {@code Starting deleting stack :
     * {0} on project : {1}  }.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Starting deleting stack : {0} on project : {1}  }
     */
    public static String stacksToDelete_process(Object arg0, Object arg1) {
        return holder.format("stacksToDelete.process", arg0, arg1);
    }

    /**
     * Key {@code stacksToDelete.process}: {@code Starting deleting stack :
     * {0} on project : {1}  }.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Starting deleting stack : {0} on project : {1}  }
     */
    public static Localizable _stacksToDelete_process(Object arg0, Object arg1) {
        return new Localizable(holder, "stacksToDelete.process", arg0, arg1);
    }

    /**
     * Key {@code timeoutProcess.label}: {@code Timeout Operation OpenStack
     * (s)}.
     * 
     * @return
     *     {@code Timeout Operation OpenStack (s)}
     */
    public static String timeoutProcess_label() {
        return holder.format("timeoutProcess.label");
    }

    /**
     * Key {@code timeoutProcess.label}: {@code Timeout Operation OpenStack
     * (s)}.
     * 
     * @return
     *     {@code Timeout Operation OpenStack (s)}
     */
    public static Localizable _timeoutProcess_label() {
        return new Localizable(holder, "timeoutProcess.label");
    }

    /**
     * Key {@code stack.existing}: {@code Stack existing : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Stack existing : {0}}
     */
    public static String stack_existing(Object arg0) {
        return holder.format("stack.existing", arg0);
    }

    /**
     * Key {@code stack.existing}: {@code Stack existing : {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Stack existing : {0}}
     */
    public static Localizable _stack_existing(Object arg0) {
        return new Localizable(holder, "stack.existing", arg0);
    }

    /**
     * Key {@code password.label}: {@code Password OpenStack}.
     * 
     * @return
     *     {@code Password OpenStack}
     */
    public static String password_label() {
        return holder.format("password.label");
    }

    /**
     * Key {@code password.label}: {@code Password OpenStack}.
     * 
     * @return
     *     {@code Password OpenStack}
     */
    public static Localizable _password_label() {
        return new Localizable(holder, "password.label");
    }

    /**
     * Key {@code stack.failed}: {@code Error during stack treatment : {0}
     * ,}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during stack treatment : {0} ,}
     */
    public static String stack_failed(Object arg0) {
        return holder.format("stack.failed", arg0);
    }

    /**
     * Key {@code stack.failed}: {@code Error during stack treatment : {0}
     * ,}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during stack treatment : {0} ,}
     */
    public static Localizable _stack_failed(Object arg0) {
        return new Localizable(holder, "stack.failed", arg0);
    }

    /**
     * Key {@code domain.name}: {@code domain}.
     * 
     * @return
     *     {@code domain}
     */
    public static String domain_name() {
        return holder.format("domain.name");
    }

    /**
     * Key {@code domain.name}: {@code domain}.
     * 
     * @return
     *     {@code domain}
     */
    public static Localizable _domain_name() {
        return new Localizable(holder, "domain.name");
    }

    /**
     * Key {@code extEnv.label}: {@code Extension for the Env File}.
     * 
     * @return
     *     {@code Extension for the Env File}
     */
    public static String extEnv_label() {
        return holder.format("extEnv.label");
    }

    /**
     * Key {@code extEnv.label}: {@code Extension for the Env File}.
     * 
     * @return
     *     {@code Extension for the Env File}
     */
    public static Localizable _extEnv_label() {
        return new Localizable(holder, "extEnv.label");
    }

    /**
     * Key {@code input.wrong}: {@code The input {0} is wrong !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The input {0} is wrong !}
     */
    public static String input_wrong(Object arg0) {
        return holder.format("input.wrong", arg0);
    }

    /**
     * Key {@code input.wrong}: {@code The input {0} is wrong !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The input {0} is wrong !}
     */
    public static Localizable _input_wrong(Object arg0) {
        return new Localizable(holder, "input.wrong", arg0);
    }

    /**
     * Key {@code user.label}: {@code User OpenStack}.
     * 
     * @return
     *     {@code User OpenStack}
     */
    public static String user_label() {
        return holder.format("user.label");
    }

    /**
     * Key {@code user.label}: {@code User OpenStack}.
     * 
     * @return
     *     {@code User OpenStack}
     */
    public static Localizable _user_label() {
        return new Localizable(holder, "user.label");
    }

    /**
     * Key {@code consoleLogger.error}: {@code Problem with writing into
     * console log : }.
     * 
     * @return
     *     {@code Problem with writing into console log : }
     */
    public static String consoleLogger_error() {
        return holder.format("consoleLogger.error");
    }

    /**
     * Key {@code consoleLogger.error}: {@code Problem with writing into
     * console log : }.
     * 
     * @return
     *     {@code Problem with writing into console log : }
     */
    public static Localizable _consoleLogger_error() {
        return new Localizable(holder, "consoleLogger.error");
    }

    /**
     * Key {@code stacksToDelete.error}: {@code Error during deleting the
     * stack : {0} !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during deleting the stack : {0} !}
     */
    public static String stacksToDelete_error(Object arg0) {
        return holder.format("stacksToDelete.error", arg0);
    }

    /**
     * Key {@code stacksToDelete.error}: {@code Error during deleting the
     * stack : {0} !}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during deleting the stack : {0} !}
     */
    public static Localizable _stacksToDelete_error(Object arg0) {
        return new Localizable(holder, "stacksToDelete.error", arg0);
    }

    /**
     * Key {@code loader.label}: {@code "Choose Loader :"}.
     * 
     * @return
     *     {@code "Choose Loader :"}
     */
    public static String loader_label() {
        return holder.format("loader.label");
    }

    /**
     * Key {@code loader.label}: {@code "Choose Loader :"}.
     * 
     * @return
     *     {@code "Choose Loader :"}
     */
    public static Localizable _loader_label() {
        return new Localizable(holder, "loader.label");
    }

    /**
     * Key {@code delete.failed}: {@code Error during delete : {0} }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during delete : {0} }
     */
    public static String delete_failed(Object arg0) {
        return holder.format("delete.failed", arg0);
    }

    /**
     * Key {@code delete.failed}: {@code Error during delete : {0} }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error during delete : {0} }
     */
    public static Localizable _delete_failed(Object arg0) {
        return new Localizable(holder, "delete.failed", arg0);
    }

    /**
     * Key {@code urlHot.name}: {@code urlHot}.
     * 
     * @return
     *     {@code urlHot}
     */
    public static String urlHot_name() {
        return holder.format("urlHot.name");
    }

    /**
     * Key {@code urlHot.name}: {@code urlHot}.
     * 
     * @return
     *     {@code urlHot}
     */
    public static Localizable _urlHot_name() {
        return new Localizable(holder, "urlHot.name");
    }

    /**
     * Key {@code pathHot.name}: {@code pathHot}.
     * 
     * @return
     *     {@code pathHot}
     */
    public static String pathHot_name() {
        return holder.format("pathHot.name");
    }

    /**
     * Key {@code pathHot.name}: {@code pathHot}.
     * 
     * @return
     *     {@code pathHot}
     */
    public static Localizable _pathHot_name() {
        return new Localizable(holder, "pathHot.name");
    }

    /**
     * Key {@code timeoutProcess.name}: {@code timeoutProcess}.
     * 
     * @return
     *     {@code timeoutProcess}
     */
    public static String timeoutProcess_name() {
        return holder.format("timeoutProcess.name");
    }

    /**
     * Key {@code timeoutProcess.name}: {@code timeoutProcess}.
     * 
     * @return
     *     {@code timeoutProcess}
     */
    public static Localizable _timeoutProcess_name() {
        return new Localizable(holder, "timeoutProcess.name");
    }

    /**
     * Key {@code log.error}: {@code ERROR : }.
     * 
     * @return
     *     {@code ERROR : }
     */
    public static String log_error() {
        return holder.format("log.error");
    }

    /**
     * Key {@code log.error}: {@code ERROR : }.
     * 
     * @return
     *     {@code ERROR : }
     */
    public static Localizable _log_error() {
        return new Localizable(holder, "log.error");
    }

    /**
     * Key {@code bundle.configurationException}: {@code The job''s
     * configuration is not correct !}.
     * 
     * @return
     *     {@code The job''s configuration is not correct !}
     */
    public static String bundle_configurationException() {
        return holder.format("bundle.configurationException");
    }

    /**
     * Key {@code bundle.configurationException}: {@code The job''s
     * configuration is not correct !}.
     * 
     * @return
     *     {@code The job''s configuration is not correct !}
     */
    public static Localizable _bundle_configurationException() {
        return new Localizable(holder, "bundle.configurationException");
    }

}
